Package twisted :: Package words :: Module webwords :: Class AccountCreationWidget |
[show private | hide private]
[frames | no frames]

## Class AccountCreationWidget

    Widget --+
             |
          Form --+
                 |
     Versioned --+
                 |
                AccountCreationWidget

Method Summary
| `__init__(self, service)`
| ``__getstate__`(self, dict)` Get state, adding a version number to it on its way out. (inherited from `Versioned`)
| `__setstate__(self, state)` (inherited from `Versioned`)
| ``display`(self, request)` Display the form. (inherited from `Form`)
| ``format`(self, form, write, request)` I display an HTML FORM according to the result of self.getFormFields. (inherited from `Form`)
| ``formatError`(self, error)` Format an error message. (inherited from `Form`)
| ``getFormFields`(self, request, fieldSet)` I return a list of lists describing this form, or a Deferred. (inherited from `Form`)
| ``getFormID`(self)` Override me: I disambiguate between multiple forms of the same type. (inherited from `Form`)
| `getTitle(self, request)` (inherited from `Widget`)
| `process(self, write, request, submit, **args)`
| `shouldProcess(self, request)` (inherited from `Form`)
| ``tryAgain`(self, err, req)` Utility method for re-drawing the form with an error message. (inherited from `Form`)
| `upgradeToVersion1(self)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade. (inherited from `Versioned`)
| `_displayFormat(self, request, form)` (inherited from `Form`)
| `_displayProcess(self, request, form)` (inherited from `Form`)
| ``_doProcess`(self, form, write, request)` (internal) Prepare arguments for self.process. (inherited from `Form`)

Class Variable Summary
`list` | `formFields`
`int` | `persistenceVersion`
`str` | `title`

Class Variable Details

    ### formFields Type: `list` Value:
        [['string', 'Username', 'username', ''],
         ['password', 'Password', 'password', '']]

    ### persistenceVersion Type: `int` Value:
        1

    ### title Type: `str` Value:
        'Account Creation'

Generated by Epydoc 1.1 on Thu May 8 13:19:27 2003 | http://epydoc.sf.net